centreXBegin, centreYBegin = 65, 68   #position of centre of central zone at 0hrs
lowCutOffValue, highCutOffValue = -0.1, 0.5
diceThreshold = 0.0
meanNormalationForDataCleaning = False

centreXEnd, centreYEnd= 56, 56 #position of centre of central zone at 84hrs

L1centre = [(62.603592747894332, 69.893801147109485, 26.776838321177355), (59.636993284906502, 65.63090157366085, 31.372348000795984), (60.527335430450883, 63.63256304923285, 32.974355915289394), (61.591311243092782, 65.917226911546408, 28.798724797571442), (60.575642008418043, 64.52680587043838, 27.124968233799237), (64.170301856969985, 65.894115631772095, 38.296084908745996), (68.237598289238306, 61.637429073945363, 41.373488111393002), (70.904259432121663, 63.45539906101186, 38.090811845296621), (69.392931273317274, 59.523437952653182, 38.36324555208099), (67.587249540713515, 56.997099792308084, 32.185975000072808), (65.01245129298853, 55.184437412914313, 34.82548774325101), (58.570141264396824, 51.254186659234676, 33.557301852922677), (67.127477431569233, 57.991144179041505, 29.890251518146751), (67.140129556039469, 60.072358791144119, 28.471733741544835), (61.264774151296457, 52.366666347268357, 36.032905937109071), (59.546111151957483, 56.690041328420001, 26.344425762480956), (56.594652087226613, 55.264080107203462, 29.002380226835594), (55.098602328306697, 59.383170160305532, 25.754504367095368), (57.948506811780682, 64.107388833125739, 37.869666315564125), (57.722817499636051, 60.409236204675359, 40.066844023885849), (57.629849801365765, 58.868102152039533, 32.068428608806983), (54.680087468518501, 59.73751119839892, 37.597878006861997)] #tracked back

#L1centre = [(66.049540051574311, 69.849796529100345, 26.501018204235852), (63.165219599934993, 65.558230052297475, 31.012065017160108), (64.155528691452972, 63.566128377897712, 32.502186393040049), (65.308367367469017, 65.840125720550631, 28.256554742641413), (64.366096767329154, 64.463026024170958, 26.572067047491732), (68.07517996052222, 65.784757113839404, 37.671155859271451), (72.284426033551711, 61.577836057657258, 40.620996662834962), (74.327266026071811, 63.82501875759376, 37.282829529619853), (73.654858953506803, 60.460180566288088, 37.214324204660542), (71.958680575951547, 57.927242094286008, 31.138388910150951), (69.582543552218254, 56.181226976776749, 33.718072165702971), (63.375236574675263, 52.296125805229529, 32.523505220467058), (71.973330946563877, 59.085701927007413, 28.959195984718441), (72.660773639267234, 60.50679147119282, 27.442350718481162), (67.046665764115673, 52.834696034053728, 35.129487850600249), (66.432960231472819, 57.648631489552699, 25.291319349823748), (62.780861303033149, 55.926491184133901, 28.225371989797278), (60.471590983997395, 60.784897403443921, 25.16535621849448), (63.620186548006451, 65.931264567904094, 36.918613214983083), (64.399502270537781, 61.517880831064524, 38.956327717827818), (64.691987185360873, 59.970092646621879, 30.714522139008675), (63.348527663841445, 61.729033418739142, 35.718206309213478)] #tracked forward

#cells within 30microns L1centre
meanVolumes = [137.15260122914771, 142.47224815969238, 149.76505334582123, 133.80183495127838, 143.81883947042252, 140.88468054602083, 134.16478851258637, 144.59031204244437, 154.19918343601452, 153.73682865077484, 161.91801031308435, 161.77942057027172, 167.88222702620996, 170.45768317488836, 167.53615088149681, 156.54297989831579, 156.72015324141432, 157.76681969141657, 162.10262787515754, 169.71562879687431, 175.12710000678058, 186.80262510235792]



#Parameters in identify indices script: [centreX, centreY, radius] = [65, 68, 30], zThr = zRes * 60  celldiff = 2   
centre3DBegin = [65, 70, 110*0.26/1.062] 
indicesTBegin =  ["L1 central zone at 0hrs", [768, 686, 687, 781, 697, 625, 630, 634, 635, 636, 642, 646, 653, 662, 668, 671, 676, 677, 678, 679, 680, 682, 775, 692, 693, 694, 683, 700, 701, 702, 704, 707, 708, 710, 712, 714, 716, 717, 719, 720, 721, 723, 725, 729, 734, 736, 737, 738, 739, 740, 789, 743, 744, 746, 747, 748, 751, 752, 753, 754, 755, 756, 690, 760, 724, 639, 764, 770, 771, 772, 773, 774, 776, 777, 778, 727, 780, 782, 783, 784, 785, 786, 787, 788, 790, 791, 792, 794, 795, 796, 732, 735, 793, 779, 745, 695, 749, 722, 757, 758, 759, 761, 762, 769, 763, 715, 698, 765, 766, 767]]


centre3DEnd = [250*0.2196471, 265*0.2196471, 333*0.26/2.318] 
indicesTEndForward = ["L1 full lineages after cleaning", [601, 721, 644, 724, 709, 778, 788, 809, 846, 805, 867, 288, 257, 340, 459, 525, 362, 517, 515, 901, 922, 540, 550, 705, 408, 451, 348, 514, 456, 595, 681, 697, 784, 761, 368, 495, 586, 545, 615, 730, 842, 633, 622, 749, 670, 771, 782, 864, 912, 872, 926, 945, 950, 591, 700, 630, 755, 848, 919, 941, 966, 934, 944, 704, 678, 750, 767, 810, 858, 832, 854, 822, 866, 806, 853, 903, 910, 931, 924, 951, 925, 943, 960, 968, 969, 657, 738, 825, 887, 819, 896, 696, 746, 789, 843, 812, 869, 892, 852, 891, 933, 897, 911, 938, 940, 894, 895, 927, 952, 880, 906, 907, 935, 921, 947, 946, 977, 979, 948, 967, 942, 964, 953, 955, 974, 975, 962, 963, 970, 956, 936, 958, 972, 986, 959, 961, 981, 973, 983, 985, 982, 984, 932, 937, 965, 949, 258, 488, 971, 976, 987, 978, 988, 980, 888, 883, 920, 954, 957, 915, 930, 450, 605, 690, 799, 811, 783, 818, 863, 884, 655, 665, 763, 777, 823, 674, 714, 798, 899, 868, 918, 804, 830, 886, 879, 923, 556, 567, 462, 607, 680, 820, 841, 909, 882]]


#Parameters in identify indices script: [centreX, centreY, radius] = [55, 57, 38], zThr = zRes * 60, celldiff = 2  MORE NOISE, FROM OUTSIDE CENTRAL
indicesTEndBack = ["L1 central zone", [941, 921, 943, 775, 888, 601, 955, 907, 958, 630, 634, 969, 874, 644, 987, 963, 670, 965, 880, 983, 690, 694, 696, 700, 961, 709, 972, 800, 973, 723, 724, 974, 730, 979, 962, 742, 721, 714, 746, 750, 752, 755, 756, 761, 763, 980, 767, 771, 777, 778, 782, 783, 784, 984, 788, 789, 792, 981, 795, 796, 798, 799, 879, 804, 805, 806, 810, 811, 812, 818, 819, 820, 821, 822, 823, 912, 825, 830, 832, 833, 834, 835, 836, 884, 841, 842, 843, 738, 848, 853, 854, 855, 858, 861, 863, 864, 656, 866, 867, 868, 869, 872, 873, 877, 882, 883, 674, 886, 887, 890, 891, 892, 894, 895, 896, 897, 899, 901, 903, 954, 906, 909, 910, 911, 920, 915, 968, 918, 922, 923, 924, 925, 926, 930, 931, 932, 933, 934, 935, 936, 937, 939, 940, 942, 944, 945, 946, 947, 948, 949, 950, 951, 952, 919, 927, 956, 957, 959, 960, 964, 966, 967, 970, 759, 975, 976, 977, 978, 846, 982, 809, 985, 986, 988, 953, 749, 743, 971, 852, 938]]

#Parameters in identify indices script: [centreX, centreY, radius] = [55, 57, 30], zThr = zRes * 60, celldiff = 2, ONLY INSIDE CENTRAL  
#indicesTEndBack = ["L1 central zone at 84hrs", [941, 921, 943, 888, 955, 907, 958, 969, 874, 987, 963, 965, 880, 983, 961, 972, 973, 974, 979, 962, 980, 984, 981, 879, 912, 835, 853, 854, 855, 858, 861, 866, 867, 868, 869, 872, 873, 877, 883, 886, 887, 890, 891, 892, 894, 895, 896, 897, 899, 901, 903, 954, 906, 909, 910, 911, 920, 915, 968, 918, 922, 923, 924, 925, 926, 930, 931, 932, 933, 934, 935, 936, 937, 939, 940, 942, 944, 945, 946, 947, 948, 949, 950, 951, 952, 919, 927, 956, 957, 959, 960, 964, 966, 967, 970, 975, 976, 977, 978, 846, 982, 985, 986, 988, 953, 971, 852, 938]]

#radius = 60, zThr = 10 , celldiff = 2  UNCHECKED IN VIEWER
indicesL1Init = [ "initial central L1", [768, 520, 522, 514, 529, 531, 686, 534, 687, 546, 549, 550, 551, 555, 557, 558, 559, 560, 606, 566, 567, 568, 571, 577, 578, 579, 580, 585, 587, 588, 781, 592, 596, 597, 697, 605, 608, 610, 614, 617, 619, 621, 624, 625, 629, 630, 631, 634, 635, 636, 640, 642, 646, 647, 648, 650, 653, 654, 656, 660, 662, 668, 669, 671, 672, 673, 674, 675, 676, 677, 678, 679, 680, 682, 775, 692, 693, 694, 683, 700, 701, 702, 704, 707, 708, 710, 712, 714, 716, 717, 719, 720, 721, 723, 725, 729, 734, 736, 737, 738, 739, 740, 789, 743, 744, 746, 747, 748, 751, 752, 753, 754, 755, 756, 638, 690, 760, 724, 639, 764, 770, 771, 772, 773, 774, 776, 777, 778, 727, 780, 782, 783, 784, 785, 786, 787, 788, 790, 791, 792, 794, 795, 796, 732, 735, 793, 779, 572, 745, 663, 695, 749, 722, 757, 758, 759, 761, 762, 769, 763, 715, 698, 765, 766, 767, 509]]


